List custom object records
client.customObject.list(stringentitySlug, CustomObjectListParams { limit, offset } query?, RequestOptionsoptions?): ObjectListResponse { data, object, totalCount }
GET/v1/objects/{entitySlug}
Returns a paginated list of records for the specified custom object type. Results are sorted by when the record was created in Lightfield (createdAt), newest first. Use offset and limit to paginate through results, and $field query parameters to filter. See List endpoints for more information about pagination and filtering.
List custom object records
import Lightfield from 'lightfield';
const client = new Lightfield({
apiKey: 'My API Key',
});
const customObjects = await client.customObject.list('entitySlug');
console.log(customObjects.data);{
"data": [
{
"id": "id",
"createdAt": "createdAt",
"fields": {
"foo": {
"value": "string",
"valueType": "ADDRESS"
}
},
"httpLink": "httpLink",
"relationships": {
"foo": {
"cardinality": "cardinality",
"objectType": "objectType",
"values": [
"string"
],
"directions": {
"asDestination": {
"cardinality": "HAS_ONE",
"values": [
"string"
]
},
"asSource": {
"cardinality": "HAS_ONE",
"values": [
"string"
]
}
}
}
},
"updatedAt": "updatedAt",
"externalId": "externalId"
}
],
"object": "object",
"totalCount": 0
}Returns Examples
{
"data": [
{
"id": "id",
"createdAt": "createdAt",
"fields": {
"foo": {
"value": "string",
"valueType": "ADDRESS"
}
},
"httpLink": "httpLink",
"relationships": {
"foo": {
"cardinality": "cardinality",
"objectType": "objectType",
"values": [
"string"
],
"directions": {
"asDestination": {
"cardinality": "HAS_ONE",
"values": [
"string"
]
},
"asSource": {
"cardinality": "HAS_ONE",
"values": [
"string"
]
}
}
}
},
"updatedAt": "updatedAt",
"externalId": "externalId"
}
],
"object": "object",
"totalCount": 0
}